Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionSolution.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionSolution.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionSolution.cs	(revision 16476)
@@ -21,5 +21,8 @@
 
 using System.Collections.Generic;
+using HEAL.Fossil;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("b9d7d1f7-c603-45ef-b372-71b82446fa72")]
   public interface IRegressionSolution : IDataAnalysisSolution {
     new IRegressionModel Model { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisModel.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisModel.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisModel.cs	(revision 16476)
@@ -21,5 +21,8 @@
 
 using System.Collections.Generic;
+using HEAL.Fossil;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("c238682c-af0b-449e-aecf-8cf61418f425")]
   /// <summary>
   /// Interface for all time series prognosis models.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblem.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblem.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblem.cs	(revision 16476)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HEAL.Fossil;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("5823dd3a-37a0-4b7c-b9d4-07994084188f")]
   public interface ITimeSeriesPrognosisProblem : IDataAnalysisProblem<ITimeSeriesPrognosisProblemData> {
   }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblemData.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblemData.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblemData.cs	(revision 16476)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HEAL.Fossil;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("9f05ada5-f1b1-44fd-84ad-2f7b427e94c3")]
   public interface ITimeSeriesPrognosisProblemData : IRegressionProblemData {
     int TrainingHorizon { get; set; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisSolution.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisSolution.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisSolution.cs	(revision 16476)
@@ -21,5 +21,8 @@
 
 using System.Collections.Generic;
+using HEAL.Fossil;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("2793d8c7-6f34-4d9d-970c-a705f6c47b5c")]
   public interface ITimeSeriesPrognosisSolution : IRegressionSolution {
     new ITimeSeriesPrognosisModel Model { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationServiceClient.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationServiceClient.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Drivers/EvaluationServiceClient.cs	(revision 16476)
@@ -150,4 +150,6 @@
       OnNameChanged();
     }
+
+    [StorableType("9f1ab6e1-fe6e-4624-afbd-9bfdfdb75d44")]
     #endregion
 
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IEvaluationChannel.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IEvaluationChannel.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IEvaluationChannel.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using Google.ProtocolBuffers;
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.ExternalEvaluation {
+  [StorableType("8e62ba0d-03f5-4243-8411-3bd5f14c42be")]
   public interface IEvaluationChannel : INamedItem {
     /// <summary>
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IEvaluationServiceClient.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IEvaluationServiceClient.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IEvaluationServiceClient.cs	(revision 16476)
@@ -23,6 +23,8 @@
 using Google.ProtocolBuffers;
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.ExternalEvaluation {
+  [StorableType("8203ac65-e551-486e-8386-e297ae575279")]
   public interface IEvaluationServiceClient : IItem {
     /// <summary>
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IExternalEvaluationProblem.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IExternalEvaluationProblem.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IExternalEvaluationProblem.cs	(revision 16476)
@@ -23,6 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.ExternalEvaluation {
+  [StorableType("04901da1-d785-4124-a989-2a9c6bd1a81c")]
   public interface IExternalEvaluationProblem : IProblem {
 
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IItemToSolutionMessageConverter.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IItemToSolutionMessageConverter.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IItemToSolutionMessageConverter.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.ExternalEvaluation {
+  [StorableType("581f5e17-68dc-42a0-8bc0-e0ac8992ed7b")]
   public interface IItemToSolutionMessageConverter : IItem {
     Type[] ItemTypes { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IMultiObjectiveOptimizationSupport.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IMultiObjectiveOptimizationSupport.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IMultiObjectiveOptimizationSupport.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.ExternalEvaluation {
+  [StorableType("f924ef9c-d824-40d2-89b2-6dd1220df98b")]
   public interface IMultiObjectiveOptimizationSupport {
     void Analyze(Individual[] individuals, double[][] qualities, ResultCollection results, IRandom random);
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/ISingleObjectiveOptimizationSupport.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/ISingleObjectiveOptimizationSupport.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/ISingleObjectiveOptimizationSupport.cs	(revision 16476)
@@ -23,6 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.ExternalEvaluation {
+  [StorableType("09d522e0-c10f-474c-b7c0-7d7f98e63f44")]
   public interface ISingleObjectiveOptimizationSupport {
     void Analyze(Individual[] individuals, double[] qualities, ResultCollection results, IRandom random);
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/IGenotypeToPhenotypeMapper.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/IGenotypeToPhenotypeMapper.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/Mappers/IGenotypeToPhenotypeMapper.cs	(revision 16476)
@@ -26,6 +26,8 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution.Mappers {
+  [StorableType("17ca7334-176c-4d80-89f9-ae918dcc65d2")]
   /// <summary>
   /// IGenotypeToPhenotypeMapper
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisEvaluator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisEvaluator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisEvaluator.cs	(revision 16476)
@@ -31,7 +31,8 @@
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 using HeuristicLab.Problems.GrammaticalEvolution.Mappers;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
-
+  [StorableType("25134297-7d7e-4d77-bd7a-25b2b10e15c1")]
   public interface IGESymbolicDataAnalysisEvaluator<T> : IEvaluator
     where T : class, IDataAnalysisProblemData {
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisProblem.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisProblem.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisProblem.cs	(revision 16476)
@@ -28,6 +28,8 @@
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
+  [StorableType("ce854ef0-6bf9-453f-8638-9db029eb01c6")]
   public interface IGESymbolicDataAnalysisProblem : IDataAnalysisProblem, IHeuristicOptimizationProblem {
 
@@ -47,4 +49,5 @@
   }
 
+  [StorableType("763c58e2-dc9b-440d-b1d0-5b6c9524242c")]
   public interface IGESymbolicDataAnalysisSingleObjectiveProblem : IGESymbolicDataAnalysisProblem, ISingleObjectiveHeuristicOptimizationProblem { }
 }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisSingleObjectiveEvaluator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisSingleObjectiveEvaluator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisSingleObjectiveEvaluator.cs	(revision 16476)
@@ -25,6 +25,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Problems.DataAnalysis;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
+  [StorableType("52190d05-dfdd-4ebb-9a95-5cd96eb3dc7e")]
   public interface IGESymbolicDataAnalysisSingleObjectiveEvaluator<T> : IGESymbolicDataAnalysisEvaluator<T>, ISingleObjectiveEvaluator
     where T : class,IDataAnalysisProblemData {
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisValidationAnalyzer.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisValidationAnalyzer.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicDataAnalysisValidationAnalyzer.cs	(revision 16476)
@@ -26,6 +26,8 @@
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
+  [StorableType("79deee07-e4f9-41e4-9d12-c0ab504a6b4f")]
   public interface IGESymbolicDataAnalysisValidationAnalyzer<T, U> : ISymbolicDataAnalysisAnalyzer, ISymbolicDataAnalysisInterpreterOperator
     where T : class,IGESymbolicDataAnalysisEvaluator<U>
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicRegressionEvaluator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicRegressionEvaluator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicRegressionEvaluator.cs	(revision 16476)
@@ -24,6 +24,8 @@
 
 using HeuristicLab.Problems.DataAnalysis;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
+  [StorableType("d02447bf-6490-4497-8d46-18bfd65fdce9")]
   public interface IGESymbolicRegressionEvaluator : IGESymbolicDataAnalysisEvaluator<IRegressionProblemData> {
   }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicRegressionSingleObjectiveEvaluator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicRegressionSingleObjectiveEvaluator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/IGESymbolicRegressionSingleObjectiveEvaluator.cs	(revision 16476)
@@ -26,6 +26,8 @@
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic.Regression;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
+  [StorableType("7a1f572f-6ba7-4849-a6b7-57935f28215e")]
   public interface IGESymbolicRegressionSingleObjectiveEvaluator : IGESymbolicRegressionEvaluator,
                                                                    IGESymbolicDataAnalysisSingleObjectiveEvaluator<IRegressionProblemData> {
